=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5declarative-dev (>= 5.92.0~),
-               libkf5guiaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,11 +45,12 @@
 Package: libkf5kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.92.0~),
-         libkf5itemviews-dev (>= 5.92.0~),
+Depends: libkf5configwidgets-dev (>= 5.98.0~),
+         libkf5itemviews-dev (>= 5.98.0~),
          libkf5kcmutils5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.92.0~),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5kcmutilscore5 (= ${binary:Version}),
+         libkf5service-dev (>= 5.98.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          ${misc:Depends},
 Recommends: libkf5kcmutils-doc (= ${source:Version})
 Description: Extra APIs to write KConfig modules.
@@ -79,3 +80,21 @@
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.
 Breaks: libkf5kdelibs4support5 (<<5.69~)
+
+Package: libkf5kcmutilscore5
+Architecture: any
+Depends: libkf5kcmutils-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Extra APIs to write KConfig modules.
+ KCMUtils provides various classes to work with KCModules. KCModules can be
+ created with the KConfigWidgets framework.
+
+Package: qml-module-org-kde-kcmutils
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Extra APIs to write KConfig modules.
+ KCMUtils provides various classes to work with KCModules. KCModules can be
+ created with the KConfigWidgets framework.
