## kcmutils 5.103.0

=== debian/changelog ===
kcmutils (5.103.0-3) unstable; urgency=medium

  * Fix installation broken in previous change for Multi-Arch support.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 12:50:51 +0100

kcmutils (5.103.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Make libkf5kcmutils-bin Multi-Arch: foreign, thx to Helmut Grohne
    (Closes: #1022135).

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Feb 2023 19:10:11 +0100

kcmutils (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100
