=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5configwidgets-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5declarative-dev (>= 5.104.0~),
-               libkf5guiaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5itemviews-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
-               libkf5xmlgui-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5configwidgets-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5declarative-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5itemviews-dev (>= 5.109.0~),
+               libkf5service-dev (>= 5.109.0~),
+               libkf5xmlgui-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,12 +45,12 @@
 Package: libkf5kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.104.0~),
-         libkf5itemviews-dev (>= 5.104.0~),
+Depends: libkf5configwidgets-dev (>= 5.109.0~),
+         libkf5itemviews-dev (>= 5.109.0~),
          libkf5kcmutils5 (= ${binary:Version}),
          libkf5kcmutilscore5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.104.0~),
-         libkf5xmlgui-dev (>= 5.104.0~),
+         libkf5service-dev (>= 5.109.0~),
+         libkf5xmlgui-dev (>= 5.109.0~),
          ${misc:Depends},
 Recommends: libkf5kcmutils-doc (= ${source:Version})
 Description: Extra APIs to write KConfig modules.
